# PSD2_API

This interface is an application by Slovenska sporitelna, a.s. (hereinafter referred to as "SLSP") of the *NextGenPSD2 Framework Version 1.3* created by *Joint Initiative pan-European PSD2-Interface Interoperability* and published by the Berlin Group (hereinafter referred to as "BGS") in order to provide and publish *access to account interface* (hereinafter referred to as "XS2A") as a REST API  adjusted to implementation    capabilities of BSC vendor.

The OpenAPI documents use only OAS3 object manipulation clause ``oneOf``, which BGS only uses and other ones omit (allOf, anyOf, not).

The *SLSP-BGS-XS2A* interface BSC variant is defined and consists of the documents:

- **slsp-bgs-xs2a-bsc.yaml**, **slsp-bgs-xs2a-bsc.json**: OpenAPI definition documents in the notation of [OpenApi Specification, version 3.0.2](https://swagger.io/specification/) (hereinafter referred to as "OAS3") and in the format [YAML](https://yaml.org/spec/1.2/spec.html) and [JSON](http://www.json.org/).
